## Index

### Classes

- LeaderConnection
- WebSocketConnection

### Functions

- factory
- setFactory

## Functions

### Let factory

- factory(path: string): BrowserWebSocketAdapter

- - Defined in src/network/websocket.ts:8

  #### Parameters

  - ##### path: string

  #### Returns BrowserWebSocketAdapter

### setFactory

- setFactory(generator: function): void

- - Defined in src/network/websocket.ts:15

  Set the websocket generator. The default one is compatible with browsers and nodejs.

  #### Parameters

  - ##### generator: function

    A function taking a path and creating a websocket adapter instance

    - - (path: string): WebSocketAdapter

      - #### Parameters

        - ##### path: string

        #### Returns WebSocketAdapter

  #### Returns void

Generated using TypeDoc